Bug 172363 - xorg.conf needs manual adjustment to drive analog mode dell 2005fpw
xorg.conf needs manual adjustment to drive analog mode dell 2005fpw
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-03 08:01 EST by Mark Frazer
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-08 06:41:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
working xorg.conf file (2.75 KB, text/plain)
2005-11-03 08:02 EST, Mark Frazer
no flags Details

  None (edit)
Description Mark Frazer 2005-11-03 08:01:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I have 2 computers hooked up to a dell 2005fpw, one on the DVI port, one on the VGA.  The dell panel has a button on the front to switch between the two inputs.

Configuring a single headed 1680x1050 display worked fine.  In that case I selected a Dell 2005FPW (digital) as the display, my Radeon 7000 as the graphics card, and the 1680x1050 display resolution.

On computer 2, which is using the VGA input, I selected a Dell 2005FPW (analogue) as the display, a Radeon 7000 as the graphics card, and 1680x1050 display resolution.  The panel put up a display screen saying it could not drive that mode.

I had to add the modeline in the attached xorg.conf to get it to work.

I'm not sure if this bug is against xorg-x11 or against system-config-display.

Version-Release number of selected component (if applicable):
xorg-x11-6.8.2-37.FC4.49.2

How reproducible:
Always

Steps to Reproduce:
1. Attach video card do VGA input of Dell 2005FPW
2. Configure monitor to be Dell 2005FPW (analogue) in system-config-display
3. Configure resolution to be 1680x1050 in system-config-display

  

Additional info:

Will attach working xorg.conf
Comment 1 Mark Frazer 2005-11-03 08:02:35 EST
Created attachment 120686 [details]
working xorg.conf file

This is the working xorg.conf with the needed modeline to drive the Dell
2005FPW on the VGA port.
Comment 2 Mark Frazer 2005-11-03 08:06:53 EST
I am running system-config-display-1.0.29-1                                    
             .
Comment 3 Mike A. Harris 2006-03-08 06:41:16 EST
1680x1050 modes are added to the X server in rawhide.

Note You need to log in before you can comment on or make changes to this bug.